TagFactory (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.convert.seamtext.tags.TagFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert.seamtext.tags
Class TagFactory

    java.lang.Object
      org.richfaces.convert.seamtext.tags.TagFactory

    public class TagFactory

extends java.lang.Object

Field Summary
`static java.lang.String` | `SEAM_BACKTICK`
`static java.lang.String` | `SEAM_DOUBLEQUOTE`
`static java.lang.String` | `SEAM_EQ`
`static java.lang.String` | `SEAM_HASH`
`static java.lang.String` | `SEAM_HAT`
`static java.lang.String` | `SEAM_LINK_END`
`static java.lang.String` | `SEAM_LINK_START`
`static java.lang.String` | `SEAM_MONOSPACE`
`static java.lang.String` | `SEAM_PLUS`
`static java.lang.String` | `SEAM_STAR`
`static java.lang.String` | `SEAM_TWIDDLE`
`static java.lang.String` | `SEAM_UNDERSCORE`

Constructor Summary
`TagFactory()`

Method Summary
`HtmlTag` | `getInstance(java.lang.String tagName)`
`HtmlTag` | `getInstance(java.lang.String tagName, java.util.Map<java.lang.String,java.lang.String> attr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEAM_PLUS

    public static final java.lang.String SEAM_PLUS

See Also:
  Constant Field Values

### SEAM_MONOSPACE

    public static final java.lang.String SEAM_MONOSPACE

See Also:
  Constant Field Values

### SEAM_TWIDDLE

    public static final java.lang.String SEAM_TWIDDLE

See Also:
  Constant Field Values

### SEAM_HASH

    public static final java.lang.String SEAM_HASH

See Also:
  Constant Field Values

### SEAM_HAT

    public static final java.lang.String SEAM_HAT

See Also:
  Constant Field Values

### SEAM_STAR

    public static final java.lang.String SEAM_STAR

See Also:
  Constant Field Values

### SEAM_UNDERSCORE

    public static final java.lang.String SEAM_UNDERSCORE

See Also:
  Constant Field Values

### SEAM_EQ

    public static final java.lang.String SEAM_EQ

See Also:
  Constant Field Values

### SEAM_BACKTICK

    public static final java.lang.String SEAM_BACKTICK

See Also:
  Constant Field Values

### SEAM_DOUBLEQUOTE

    public static final java.lang.String SEAM_DOUBLEQUOTE

See Also:
  Constant Field Values

### SEAM_LINK_START

    public static final java.lang.String SEAM_LINK_START

See Also:
  Constant Field Values

### SEAM_LINK_END

    public static final java.lang.String SEAM_LINK_END

See Also:
  Constant Field Values

Constructor Detail

### TagFactory

    public TagFactory()

Method Detail

### getInstance

    public HtmlTag getInstance(java.lang.String tagName)

### getInstance

    public HtmlTag getInstance(java.lang.String tagName,
                               java.util.Map<java.lang.String,java.lang.String> attr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.